
.select{
    width: 300px;
    display: inline-block;
}
.select__wrapper {
    width: 100%;
    height: 30px;
}
.select__content {
  position: relative;
  display: flex;
  width: 100%;
  height: 100%;
  border: 2px solid #03045e;
  border-radius: 5px;
  background-color: white;
  justify-content: space-between;
}
.selected {
  color: #353535;
  margin: 0 5px;
  height: 20px;
  align-self: center;
  line-break: anywhere;
  overflow: hidden;
}
.select__fields {
  position: absolute;
  left: 0;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  padding: 0;
  border-radius: 5px;
  top: 10%;
  z-index: 1;
}
.select__fields.select-d {
  transition: all 0.3s ease;
  border: 2px solid #0077b6;
  top: 100%;
  width: max-content;
  min-width: 100%;
  margin-top: 3px;
  visibility: visible;
  opacity: 1;
  max-height: 300px;
  overflow-y: scroll;
  max-width: 600px;
}
.select__option {
  width: 100%;
  border-bottom: 2px solid #a3943e;
  cursor: pointer;
  color: #8e9aaf;
  padding: 1px 5px;
  box-sizing: border-box;
  height: 25px;
  line-break: anywhere;
  overflow: hidden;
}
.select__option:last-child {
  margin-bottom: 0;
  border: none;
}
.select__content .icon {
  right: 0;
  display: inline-block;
  align-self: center;
}

.select__option:hover{
  background-color: #0c94dd;
  color: white !important;
}